# tetra-pei

The tetra-pei library allows to communicate with a TETRA radio terminal through its peripheral equipment interface (PEI), with the main focus on simple radio control and the handling of SDS messages. This implementation is solely based on the relevant ETSI specifications:

* ETSI TS 100 392-2 V3.9.2 (2020-06): Terrestrial Trunked Radio (TETRA); Voice plus Data (V+D); Part 2: Air Interface (AI)
* ETSI EN 300 392-5 V2.7.1 (2020-04): Terrestrial Trunked Radio (TETRA); Voice plus Data (V+D) and Direct Mode Operation (DMO); Part 5: Peripheral Equipment Interface (PEI)

## Restrictions

* store/forward control information is not handled
* not all specified text encoding schemes are implemented

## License

This library is published under the [GNU General Public License, Version 3](LICENSE)

Copyright [Florian Thienel](https://thecodingflow.com)
